aboutsummaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2016-12-01 23:52:07 +1300
committerTom Ryder <tom@sanctum.geek.nz>2016-12-01 23:52:07 +1300
commit20bc516cd95f5ad9b9ea811718271b10b0d89d66 (patch)
tree80af5a8b471074a3128dcc4beb5684b52b64f292 /bin
parentsetterm(1) isn't as standard as I thought (diff)
downloaddotfiles-20bc516cd95f5ad9b9ea811718271b10b0d89d66.tar.gz
dotfiles-20bc516cd95f5ad9b9ea811718271b10b0d89d66.zip
Remove -p from shb(1df) command search
NetBSD doesn't allow -p and -v to be used in the same call.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/shb2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/shb b/bin/shb
index 8f458ff1..49894b0f 100755
--- a/bin/shb
+++ b/bin/shb
@@ -14,7 +14,7 @@ scr=$1 intn=$2
shift 2
# Try and find the path to the interpreter command, bail out if we can't
-if ! intp=$(command -pv "$intn" 2>/dev/null) ; then
+if ! intp=$(command -v "$intn" 2>/dev/null) ; then
printf >&2 '%s: %s: command not found\n' "$self" "$intn"
exit 1
fi